package emps;

import java.util.List;
import java.util.Objects;

import javax.swing.JOptionPane;

public class P4b_SredniaWybranych {

	public static void main(String[] args) {
		String szukanyJob = JOptionPane.showInputDialog("Podaj nazwę stanowiska");
		
		List<Employee> emps = ObslugaCSV.wczytaj();
		double suma = 0;
		int ile = 0;
		for(Employee emp : emps) {
			if(Objects.equals(emp.getJobTitle(), szukanyJob)) {
				suma += emp.getSalary();
				ile++;
			}
		}
		if(ile > 0) {
			double srednia = suma / ile;
			JOptionPane.showMessageDialog(null, "Średnia na stanowisku " + szukanyJob + " wynosi " + srednia);
		} else {
			JOptionPane.showMessageDialog(null, "Nikt nie pracuje na stanowisku " + szukanyJob, "Nie znaleziono", JOptionPane.WARNING_MESSAGE);
		}
	}

}
